<?php 

foreach($_GET as $key => $val)
 ${$key}=$val;

if (!isset($width)) $width=1280;
if (!isset($height)) $height=720;
if (!isset($preserveAspectRatio)) $preserveAspectRatio=1;
if (!isset($mediaPath)) $mediaPath="media";
if (!isset($offset)) $offset=0;
if (!isset($imgDur)) $imgDur=10;
if (!isset($maxDur)) $maxDur=0;
if (!isset($minDur)) $minDur=0;
if (!isset($checkTime)) $checkTime=60;

$filePath=$TEMPLATEfilename;
$itemPath=realpath(dirname($filePath)).'/'.$mediaPath;

$ext2Type=array(
	"jpg"=>"image/jpeg", "jpe"=>"image/jpeg", "jpeg"=>"image/jpeg", "png"=>"image/png",
	"gif"=>"image/gif", 
	"mp3"=>"audio/mpeg", "mpa"=>"audio/mpeg", "ogg", "audio/ogg", "wma", "audio/x-ms-wma", "wav"=>"audio/x-wav", 
    "3gp"=>"video/3gpp", "3gpp"=>"video/3gpp", "vob"=>"video/dvd", "mp4"=>"video/mp4", "m4v"=>"video/mp4", 
	"mpg"=>"video/mpeg", "mp2"=>"video/mpeg", "mpeg"=>"video/mpeg", "mpv2"=>"video/mpeg", 
	"mov"=>"video/quicktime", "qt"=>"video/quicktime",	"divx"=>"video/vnd.divx",	
	"rv"=>"video/vnd.rn-realvideo", "wmv"=>"video/x-ms-wmv", "avi"=>"video/x-msvideo",
	"svg"=>"image/svg+xml", "svgt"=>"image/svg+xml", "svgx"=>"application/x-template-svg+xml", "ics"=>"text/calendar"
);

echo "<?xml version='1.0' encoding='utf-8'?>\n";
echo "<?spx max-age='$checkTime' ?>\n";
echo "<svg xmlns='http://www.w3.org/2000/svg' xmlns:ev='http://www.w3.org/2001/xml-events' xmlns:xlink='http://www.w3.org/1999/xlink' dur='indefinite' viewBox='0 0 $width $height' >\n";

$filelist=scandir($itemPath);
$mediaIdx=0;
natsort($filelist);
$closeName="";
foreach($filelist as $file){
	if ($file[0]=='.') continue;
	$realname=$itemPath.'/'.$file;
	$relativeName=utf8_encode($mediaPath.'/'.$file);
	if (is_file($realname)){
		
		// get the type from the extension
		$info=pathinfo($file);
		$ext=$info['extension'];
		if (isset($ext2Type[$ext])){
			
			$type=$ext2Type[$ext];
			$familly=substr($type,0,strpos($type,"/"));
			if ($type=="image/gif")
				$familly=="video";
				 
			
			if ($type=="image/svg+xml" || $type=="application/x-template-svg+xml" || $type=="text/calendar") 
				$name="animation";
			else 
				$name=$familly;
			if ( $closeName!="" ) {
				echo $closeName;
				$closeName="";
			}
			echo "\t<$name width='$width' height='$height' type='$type' ";
			if ($preserveAspectRatio) echo "preserveAspectRatio='xMidYMid' ";
			
			echo "xlink:href='$relativeName' ";
			$mediaID="media_$mediaIdx";
			if ($name=='animation')
				echo "dur='media' ";
			if ($name=='image'){
				echo "display='none' >\n";
				echo "\t\t<set attributeName='display' to='inherit' ";
			}
			if ($maxDur!=0) echo "max='$maxDur' ";
			if ($minDur!=0) echo "min='$minDur' ";
			echo "xml:id='$mediaID' ";
			if ($mediaIdx>0) echo "begin='media_".($mediaIdx-1).".end+$offset' ";
			if ($name=='image'){
				echo "dur='$imgDur'/>\n";
				$closeName = "\t</image>\n";
			}else{
				echo ">\n";
				$closeName = "\t</$name>\n";
			}
			
			$mediaIdx++;
		}
	}	
}

if ( $closeName!="" ) {
	echo "<handler type='application/ecmascript' ev:event='endEvent'> document.getElementById('media_0').beginElement(); </handler>\n";
	echo $closeName;
	$closeName="";
}
echo "</svg>\n";

?>
